<?php
// подключаем соединение с БД
require_once("Db.php");
// создаем соединение с БД
$db = new Db();
// получаем ключ
$key = $_GET['key'];
// проверяем на корректность ключа
if(!preg_match('~^[a-f0-9]{32}+$~', $key)) {
    exit(json_encode(['result'=>'error']));
}
// создаем массив для возврата результата
$data = [];
// обращаемся в БД - проверяем наличие записи с переданным ключом
$order = $db->connect()->prepare("SELECT * FROM users WHERE auth_key = :key LIMIT 1");
$order->execute(['key' => $key]);
// если запись есть то работаем
if ($order->rowCount() > 0) {
    $orderRaw = $order->fetch();
    // создаем новый ключ
    $new_key =  md5(rand(0, 1000));;
    // записываем новый ключ в БД
    $update = $db->connect()->prepare("UPDATE users SET auth_key = :new_key WHERE id = :id");
    // если обновили то авторизуем
    if ($update->execute(['id' => $orderRaw['id'], 'new_key' => $new_key])) {
        // ставим куку
        setcookie('token', $new_key);
        // возвращаем результат
        $data['result'] = "success";
    } else {
        $data['result'] = "error";
    }
} else {
    $data['result'] = "error";
}
// возвращаем результат
echo json_encode($data);
?>